because cuDNN failed to initialize Tensorflow 显存分配。

tensorflow.python.framework.errors_impl.UnknownError: 2 root error(s) found. 报错 tensorflow.python.framework.errors_impl.UnknownError: 2 root error(s) found. (0) Unknown: Failed to get convolution algorithm. This is probably because cuDNN failed to initialize, so try looking to see if a warning log message was printed above. ... 阅读详情

在运行tensorflow的时候碰到这种问题,本以为是显存不足,然而跑简单的模型也遇到这种问题,最后才发现tensorflow默认是占用GPU所有的显存。有时候就会出现这样的问题。可以通过设置GPU显存分配来解决这个问题。

tensorflow.python.framework.errors_impl.UnknownError: 2 root error(s) found.
(0) Unknown: Failed to get convolution algorithm. This is probably because cuDNN failed to initialize, so try looking to see if a warning log message was printed above.
[[{{node Conv2D}}]]
[[Mean/_9]]
(1) Unknown: Failed to get convolution algorithm. This is probably because cuDNN failed to initialize, so try looking to see if a warning log message was printed above.
[[{{node Conv2D}}]]

解决方式:

config = tf.ConfigProto()
config.gpu_options.allow_growth = True
sess = tf.Session(config=config)
# 通过config 选项来控制gpu显存的使用,这个设置只有GPU需要的时候按需动态分配,而不是占用所有显存。
报错解决:NotFoundError: No algorithm worked! when using Conv2D 在使用TensorFlow加载模型时,遇到了类似这样的报错: NotFoundError: No algorithm worked! [[node functional_1/conv2d/Conv2D (defined at :1) ]][Op:__inference_train_function_2021] 我的报错信息为: tensorflow.python.framework.errors_impl.NotFoundError: 2 root error(s) found. (0) Not foun 阅读详情

相关推荐

iOS Certificates, Identifiers & Profiles简介

1. Certificates Certificates是生成开发和生产所需的证书。 2.1 certSigningRequest文件 生成证书前,需要先生成certSigningRequest文件,certSigningRequest文件由【钥匙串访问】生成。 选择菜单【钥匙串访问】,【证书助理】下的【从证书颁发机构请求证书…】 填写【用户电子邮件地址: 】,将【请求是:】的选项改为【储存到磁盘】 输入certSigningRequest文件的文件名,并指定保存位置。 保存certSignin

假装你是大灰狼的专栏 7058

tensorflow-gpu报错:tensorflow.python.framework.errors_impl.UnknownError: 2 root error(s) found

tensorflow.python.framework.errors_impl.UnknownError: 2 root error(s) found. (0) Unknown: Failed to get convolution algorithm. This is probably because cuDNN failed to initialize, so try looking to see if a warning log message was printed above. [[{{no

laxyer的博客 1867

基恩士PLC编程避坑指南:局部变量@前缀的3个隐藏陷阱与实战解决方案

本文深入剖析了基恩士PLC编程中使用@前缀创建局部变量的三大隐藏陷阱,包括在线调试时的数据丢失、数据类型冲突以及子程序复用时的地址覆盖问题。针对每个陷阱,提供了预定义变量、强类型规范和基址参数传递等实战解决方案,帮助中高级工程师提升代码健壮性与可维护性。

weixin_29171087的博客 102

tensorflow.python.framework.errors_impl.InvalidArgumentError: 2 root error(s) found.

训练阶段没问题,问题出现在验证数据集部分,大概率是由于内存问题引起的,解决方式: 在训练文件前加入以下代码 import tensorflow as tf config = tf.compat.v1.ConfigProto() # config.gpu_options.allow_growth = True #TensorFlow按需分配显存 config.allow_soft_placement = True # config.log_device_placement = True # confi

qq_37203178的博客 3724

实战指南:将MediaPipe封装为Windows DLL,实现C++/C#高效调用

在计算机视觉和多媒体处理领域,跨平台框架为开发者提供了强大的算法模型和计算能力。其核心原理在于通过预训练的机器学习模型和优化的计算图,实现对图像、视频流中特定目标(如人脸、手势、姿态)的实时检测与分析。这项技术的价值在于能够将复杂的AI能力模块化,降低应用开发门槛。在实际工程实践中,为了突破特定语言生态的限制并优化部署流程,开发者常需将核心功能封装成独立的库。例如,将Google的MediaPipe框架封装为Windows动态链接库(DLL),就是一个典型的工程实践。此举能有效解决语言壁垒和部署简化问题,使

weixin_28691741的博客 360

电磁场仿真软件:CST Studio Suite_(25).案例分析与实践

在电磁场仿真中,材料属性的设置至关重要。通过API,您可以轻松地设置和修改材料属性,以适应不同的仿真需求。通过以上案例分析和实践,您已经学会了如何在CST Studio Suite中进行二次开发。自动化仿真流程:批量创建和运行仿真项目、优化设计参数、生成报告。自定义仿真设置:设置材料属性、边界条件和激励源。数据处理与分析:读取仿真结果、数据可视化和数据导出。高级脚本开发:多线程仿真、集成机器学习和云仿真。这些技能将帮助您更高效地进行电磁场仿真,提高设计质量和工作效率。

kkchenjj的博客 1386

【tensorflow】InternalError: 2 root error(s) found. 均为 Internal: Blas GEMM launch failed

原因:显存不足所造成。 解决方案:在代码最前方加入代码 import os os.environ["CUDA_VISIBLE_DEVICES"] = "0" config = tf.ConfigProto(allow_soft_placement = True) gpu_options = tf.GPUOptions(per_process_gpu_memory_fraction = 0.5) config.gpu_options.allow_growth = True sess0 = tf.Int

Maple__Boy 1439

国科大学习资料--自然语言处理(宗成庆)-2019期末考试题

国科大学习资料–自然语言处理(宗成庆)-2019期末考试题 国科大学习资料–自然语言处理(宗成庆)-2019期末考试题 国科大学习资料–自然语言处理(宗成庆)-2019期末考试题

无名何许人的博客 2438

解决问题:Failed to get convolution algorithm. This is probably because cuDNN failed to initialize

import tensorflow as tf import numpy as np import keras config = tf.compat.v1.ConfigProto(allow_soft_placement=True) config.gpu_options.per_process_gpu_memory_fraction = 0.3 tf.compat.v1.keras.backend.set_session(tf.compat.v1.Session(config=config)) 告诉t

weixin_46474546的博客 330

电磁兼容(EMC)整改案例(七):EFT测试失败都是IC悬空引脚惹的祸

无论任何时候,为了避免这些问题,通常建议对悬空的IO口进行适当的配置,比如设置为强推挽输出低电平、输入带上拉或下拉电阻等,以减少外部电路对IO管脚状态的影响,并提高系统的稳定性和可靠性.

linkking27的博客 1032

qq邮箱发错误:The “From“ header is missing or invalid. Please follow RFC5322, RFC2047, RFC822 standard pro

如果还报错 (550, b’The mail may contain inappropriate words or content.'),可能是你message[‘From’]中的< senderxxx@qq.com >发送邮箱填错了,必须要和self.sender = ’ senderxxx@qq.com '一样。可能是之前qq邮箱发送协议存在漏洞,可隐藏发送者邮箱。现在换了新协议,导致与原来协议规则、编码出现了一些问题。"python自动发送""python自动发送"

云霄IT的博客 3670

“Failed to get convolution algorithm. This is probably because cuDNN failed to initialize”错误的解决办法

最近在使用TF2.0。运行程序出现以下错误。 Failed to get convolution algorithm. This is probably because cuDNN failed to initialize 一开始怀疑是CUDA和CuDNN配置错误(要求版本匹配)。反复试验后,还是有这个错误。 最后发现可能是GPU内存不足造成的。需要在程序前加以下一段代码: from tenso...

史丹利复合田的博客 5万+

什么是垂直同步?电脑快速消除屏幕撕裂与提升游戏性能的方法 垂直同步、游戏画面撕裂、游戏优化、VSync、FPS、FreeSync、G-Sync、显卡驱动更新、游戏画质、输入延迟

看这张动图,左边的画面出现了明显“切开”的断层现象,而右边画面非常流畅,没有撕裂。这正是「垂直同步」开关的区别。:每秒生成多少帧图像。比如 60FPS 表示一秒钟显示 60 张图片。刷新率(Refresh Rate):显示器每秒刷新几次画面,单位是赫兹(Hz)。60Hz 表示每秒刷新 60 次。参数说明FPS显卡渲染速度(逻辑帧率)刷新率显示器的显示频率(物理限制)当 FPS 高于刷新率时,显卡渲染的画面来不及被显示器显示,导致撕裂。屏幕撕裂(Screen Tearing)

代码简单说 Vue、JAVA、PHP、Node.js 熟练运用,接口、架构、性能全搞定。 1346

TensorFlow框架This is probably because cuDNN failed to initialize 解决对策整理和验证

Failed to get convolution algorithm. This is probably because cuDNN failed to initialize, so try looking to see if a warning log message was printed above. 写在前面: 环境:Tensorflow2.0 + Python3.6 当读者看到此问...

第一段代码的博客 1万+

文档:亲测可用解决vnc灰屏,黑屏,鼠标大黑叉情况

主要解决vnc-viewer灰屏,黑屏,鼠标大黑叉等现象,详细见文档。

Data-Structures-and-Algorithm-Analysis-in-Java.pdf

作者: Weiss, Mark A. 出版社: Addison Wesley Data Structures and Algorithm Analysis in Java is an “advanced algorithms” book that fits between traditional CS2 and Algorithms Analysis courses. In the old ACM Curriculum Guidelines, this course was known as CS7. This text is for readers who want to learn good programming and algorithm analysis skills simultaneously so that they can develop such programs with the maximum amo...

解决Failed to get convolution algorithm. This is probably because cuDNN failed to initialize

问题如下: UnknownError (see above for traceback): Failed to get convolution algorithm. This is probably because cuDNN failed to initialize, so try looking to see if a warning log message was printed above. [[node conv2d_1/convolution (defined at C:\Us

qq_38835585的博客 8544

华为的C语言编程规范.pdf

华为技术有限公司内部技术规范。本规范制定了编写C语言程序的基本原则、规则和建议。从代码的清晰、简洁、可测试、安全、程序效率、可移植各个方面对C语言编程作出了具体指导。

Failed to get convolution algorithm. This is probably because cuDNN failed to initialize

Failed to get convolution algorithm. This is probably because cuDNN failed to initialize, so try looking to see if a warning log message was printed above. Could not create cudnn handle: CUDNN_STATUS_...

baidu_34172099的博客 2291

【深度学习】Failed to get convolution algorithm. This is probably because cuDNN failed to initialize, so t

本人TensorFlow-gpu 2.0 电脑显卡1650ti。 有时候电脑明明gpu没任何占用,跑深度学习代码还是会出现以下这个报错: UnknownError: 2 root error(s) found. (0) Unknown: Failed to get convolution algorithm. This is probably because cuDNN failed to initialize, so try looking to see if a warning log messa

m0_52357468的博客 1258

模型训练错误:Failed to get convolution algorithm,This is probably because cuDNN failed to initialize.

模型训练错误:Failed to get convolution algorithm,This is probably because cuDNN failed to initialize. 一、问题: 最近在利用keras训练模型的时候出现以下错误,开始一看以为是cuDNN的版本不对,更换后还是没有效果,后面在网上查找后发现是显存的问题,更改为动态分配内存就可以了。 二、解决方法: 在训练的脚本开头添加以下代码进行动态分配内存,然后重新运行就可以。...

440

“Failed to get convolution algorithm. This is probably because cuDNN failed to initialize”错误解决方案

最近在使用TF2.0。运行程序出现以下错误。 Failed to get convolution algorithm. This is probably because cuDNN failed to initialize 一开始怀疑是CUDA和CuDNN配置错误(要求版本匹配)。反复试验后,还是有这个错误。 最后发现可能是GPU显存不足造成的。需要在程序前加以下一段代码: from tensorflow.compat.v1 import ConfigProto from tensorflow.

得峰的专栏 [网络收藏] 869

犯了三个小错误,“Failed to get convolution algorithm. This is probably because cuDNN failed to initialize”

今天在tensorflow上运行一个u_net网络,运行到一半显示错误“Failed to get convolution algorithm. This is probably because cuDNN failed to initialize”,一看错误里面有个cuDNN,以为是cuda或者cuDNN版本出现了错误,要是重新装的话感觉有点麻烦,所以先查了一下,看了一下别人遇到同样的问题 都说是GPU不足造成错误,是显存的问题,更改为动态分配内存,因此需要在程序前加 from tensorflow.c

qq_40433890的博客 214

【Bug解决】Failed to get convolution algorithm. This is probably because cuDNN failed to initialize

问题描述 笔者的台式机配置如下: Found device 0 with properties: pciBusID: 0000:01:00.0 name: GeForce GTX 1060 6GB computeCapability: 6.1 笔者安装的CUDA版本如下: (base) C:\Users\znjt>nvcc -V nvcc: NVIDIA (R) Cuda compiler driver Copyright (c) 2005-2018 NVIDIA Corporation Buil

qq_44703886的博客 782

【ERROR】Failed to get convolution algorithm. This is probably because cuDNN failed to initialize

1、有可能是显存不足,尝试减小batchsize 2、os.environ['TF_FORCE_GPU_ALLOW_GROWTH'] = 'true' 这个语句的意思是,TensorFlow 在分配显存的时候,设置为可以逐步分配,需要多少显存,就一点点往上添,直到够用为止。比如GPU显存为8GB,开始训练一个模型,TensorFlow 先分配100MB,然后200MB 、300MB……最后在700MB处停住了,因为实际700MB就够用了。参考自 ...

这个人很蓝 731
上一篇: 对抗样本 FGSM 算法代码实现 Adversarial Examples Keras Tensorflow实现
下一篇: ByteArrayInputStream和ByteArrayOutputStream 避免创建临时文件
评论
成就一亿技术人!
拼手气红包6.0元
还能输入1000个字符
 
 条评论被折叠 查看
添加红包

请填写红包祝福语或标题

个

红包个数最小为10个

元

红包金额最低5元

当前余额3.43元 前往充值 >
需支付:10.00元
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付元
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值